Subject: Re: Where's the code (was: Input solicited: IETF problem pinpointing at the plenary?)

From: "James Luciani" <[email-masked]>
Date: Wed, 30 Oct 2002 16:24:17 -0500

Said another way,
  "A Draft Standard must be well-understood and known to be quite
   stable, both in its semantics and as a basis for developing an
   implementation.  A Draft Standard may still require additional or
   more widespread field experience, since it is possible for
   implementations based on Draft Standard specifications to demonstrate
   unforeseen behavior when subjected to large-scale use in production
   environments."
There are probably 2 dozen nominally interoperable 2547(bis) implementations
in existence today and there were probably 6 to 8 a year ago or more ago.
To make the process of bringing it to proposed standard take this long seems
problematic to me and not really in the best interest of the community.

----- Original Message -----
From: "James Luciani" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, October 30, 2002 4:07 PM
Subject: Re: Where's the code (was: Input solicited: IETF problem
pinpointing at the plenary?)

> George,
>     You are actually partly right and partly wrong.   And my point was
> bigger than the largely tongue in cheek example.   I don't think that we
as
> a community are following the rules that we set out for ourselves (notice
I
> did not say the IESG except in as much as they are part of the community).
> So to say that the rules are broken seems strange to me.
> --Jim
> ----- Original Message -----
> From: "George Swallow" <[email-masked]>
> To: "James Luciani" <[email-masked]>
> Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
> <[email-masked]>; <[email-masked]>; <[email-masked]>
> Sent: Wednesday, October 30, 2002 3:59 PM
> Subject: Re: Where's the code (was: Input solicited: IETF problem
> pinpointing at the plenary?)
>
>
> > Jim -
> >
> > RFC2547 is informational.  2547bis is an ID.  What's your point?  That
> > the standards process is too slow to meet market demand?
> >
> > ...George
> >
> > > :-) Have you looked at RFC2547?   Oh yeh... I mean 2547bis and the 10
> > > supporting drafts.
> > >
> > > To: <[email-masked]>
> > > Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
> > > <[email-masked]>
> > > Sent: Wednesday, October 30, 2002 2:59 PM
> > > Subject: Re: Where's the code (was: Input solicited: IETF problem
> > > pinpointing at the plenary?)
> > >
> > >
> > > > If a protocol is so unstable prior to being a draft standard,
> > > > something is wrong with the standardization process.
> > > >
> > > > Has the time changed that the IETF now moves forward protocols based
> on
> > > > time schedule, instead of the specification's maturity ?
> > > >
> > > > -Liming
> >
> >
> > ==================================================================
> > George Swallow       Cisco Systems                  (978) 497-8143
> >                      250 Apollo Drive
> >                      Chelmsford, Ma 01824
>